%define name gnuplot
%define version 3.7.1
%define prefix %{_prefix}
%define release 16mdk

Name: %{name}
Summary: A program for plotting mathematical expressions and data.
Version: %{version}
Release: %{release}
Copyright: distributable
Group: Sciences/Other
BuildRequires: XFree86-devel libpng-devel zlib-devel
Source0: ftp://ftp.ucc.ie/pub/gnuplot/%{name}-%{version}.tar.bz2
Source1: http://feff.phys.washington.edu/~ravel/gnuplot/gnuplot-mode.tar.bz2
Source2: http://www.ucc.ie/gnuplot/gnuplot-faq.html.bz2
Source3: %{name}
Source4: %{name}.xpm.bz2
Source5: %{name}-32.xpm.bz2
Patch1: gnuplot-sillyfix.patch.bz2
Patch2: http://www.cs.utwente.nl/~ptdeboer/gp371_x11mouse.patch.bz2
URL: http://www.gnuplot.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: emacs, tetex, tetex-latex, zlib-devel, libpng-devel, XFree86-devel

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%prep
%setup -q -a 1
%patch1 -p0 -b .chmou
%patch2 -p1 -b .deboer

%build
export CFLAGS=$(echo "$RPM_OPT_FLAGS" | sed -e s/-ffast-math/)
%configure --with-readline --with-png --without-linux-vga
find . -type f -exec perl -pi -e 's/gdImageGif/gdImagePng/g' {} \;
make

pushd gnuplot-mode && {
    ./configure --prefix=/usr
    make
} && popd

cp %{SOURCE2} .
bzip2 -d gnuplot-faq.html.bz2

cd docs
make doc2html
./doc2html gnuplot.doc > gnuplot.html
make pdf

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/gnuplot,man/man1,lib/menu}
#
#install -m 755 -s gnuplot_x11 $RPM_BUILD_ROOT/usr/bin/gnuplot_x11
#install -m 755 -s gnuplot $RPM_BUILD_ROOT/usr/bin/gnuplot
#install -m 644 docs/gnuplot.1 $RPM_BUILD_ROOT/usr/man/man1
#install -m 644 docs/gnuplot.gih $RPM_BUILD_ROOT/usr/share/gnuplot.gih

%makeinstall

pushd gnuplot-mode && {
    make install prefix=$RPM_BUILD_ROOT/usr
} && popd

cd gnuplot-mode
pdflatex gpelcard

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_menudir}

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright docs/gnuplot.html docs/psdoc docs/gnuplot.pdf gnuplot-faq.html
%doc demo gnuplot-mode/dotemacs gnuplot-mode/gpelcard.pdf 0README 0FAQ
%{_bindir}/gnuplot_x11
%{_bindir}/gnuplot
%{_mandir}/man1/gnuplot.1.bz2
%{_datadir}/gnuplot.gih
%{_datadir}/emacs/site-lisp/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-16mdk
- rebuild

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.7.1-15mdk
- s/gdImageGif/gdImagePng/g; (Not --without-gd because if we use
  set terminal gif then it gives us a segfault.)
  
* Mon Jan 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-14mdk
- fix URL following suggestion by <vgeloven@dds.nl>

* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-13mdk
- now should also compile on non x86 arch, /me sucks

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-12mdk
- removed -ffast-math option to improve reliability

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-11mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.1-10mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-9mdk
- BM
- macroweruivieruweiovjzations

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-8mdk
- fixed menu entry adding 32x32 icon

* Fri Apr 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.7.1-7mdk
- added XFree86-devel in BuildPreReq for X11.
- removed bzip2 man pages (done by spec_helper).
- removed gnu-readline and put back minimal-readline otherwise the
  Boer's patch doesn't work.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-6mdk
- fix directory owns.
- now uses gnu readline library instead of minimal built-in readline.

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-5mdk
- added icon.

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-4mdk
- new groups.
- menu entry.

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added Pieter de Boer's patch <ptdeboer@cs.utwent.nl> for splot X11
  interactive rotations.
- added gnuplot-mode documentation.

* Tue Nov  9 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to 3.7.1.
- added gnuplot-faq.html.
- added PDF documentation.

* Mon Nov  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.7.0.2.
- fix license.
- add emacs-mode.
- add some documentation.

* Fri Oct 1 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Changed the 3.7.0->3.7.0.1 patch to a more recent version because
the previous version has broken the postscript terminal.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without svgalib.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 3.7.0.1.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.7.

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.6beta347

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
